<?php
/**
 * @package   T3 Blank
 * @copyright Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license   GNU General Public License version 2 or later; see LICENSE.txt
 */

/**
 * Mainbody 3 columns, content in center: sidebar1 - content - sidebar2
 */
defined('_JEXEC') or die;

$sitename = $this->params->get('sitename') ? $this->params->get('sitename') : JFactory::getConfig()->get('sitename');
$slogan = $this->params->get('slogan');
$logotype = $this->params->get('logotype', 'text');
$logoimage = $logotype == 'image' ? $this->params->get('logoimage', '') : '';


  // Layout configuration
  $layout_config = json_decode ('{
    "two_sidebars": {
      "default" : ["span3 fixed" , "span6 offset3", "span3"],
      "wide"    : ["span3 fixed" , "span6 offset3", "span3"],
      "xtablet" : ["span12","span9","span3"],
      "tablet"  : ["span12", "span12", "span12"],
      "mobile"   : ["span12", "span12", "span12"]
    },
    "one_sidebar1": {
      "default" : ["span3 fixed", "span9 offset3"],
      "wide"    : ["span3 fixed", "span9 offset3"],
      "xtablet" : ["span12","span12"],
      "tablet"  : ["span12","span12"],
      "mobile"  : ["span12","span12"]
    }
  }');

  // positions configuration
  $sidebar1 = 'sidebar-1';
  $sidebar2 = 'sidebar-2';
  // Detect layout
  if ($this->countModules("$sidebar2")) {
    $layout = 'two_sidebars';  
  } else {
    $layout = 'one_sidebar1';
  }
  $layout = $layout_config->$layout;

  $col = 0;
?>


<div id="t3-mainbody" class="container t3-mainbody">
  <div class="row">
    
    <!-- SIDEBAR 1 -->
    <div class="t3-sidebar t3-sidebar-1 <?php echo $this->getClass($layout, $col) ?><?php $this->_c($sidebar1)?>" <?php echo $this->getData ($layout, $col++) ?>>
          
        <div class="logo">
              <div class="logo-<?php echo $logotype ?>">
                <a href="<?php echo JURI::base(true) ?>" title="<?php echo strip_tags($sitename) ?>">
                  <img src="<?php echo JURI::base(true).'/'.$logoimage  ?>"/>
                  <span><?php echo $sitename ?></span>
                </a>
                <small class="site-slogan"><?php echo $slogan ?></small>
              </div>
        </div>

        <!--Navegacion-->
        <nav id="t3-mainnav" class="wrap t3-mainnav navbar-collapse-fixed-top">
          <div class="navbar">
            <div class="navbar-inner">
            
              <button type="button" class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                <i class="icon-reorder"></i>
              </button>

              <div class="nav-collapse collapse<?php echo $this->getParam('navigation_collapse_showsub', 1) ? ' always-show' : '' ?>">
              <?php if ($this->getParam('navigation_type') == 'megamenu') : ?>
                <?php $this->megamenu($this->getParam('mm_type', 'mainmenu')) ?>
              <?php else : ?>
                <jdoc:include type="modules" name="<?php $this->_p('mainnav') ?>" style="raw" />
              <?php endif ?>
              </div>
            </div>
          </div>
        </nav>
        <!--//Navegacion-->


        <?php  if ($this->countModules("$sidebar1")){ ?>
          <section id="modulos">
            <jdoc:include type="modules" name="<?php $this->_p($sidebar1) ?>" style="T3Xhtml" />
          </section>
        <?php }?>

    </div>
    <!-- //SIDEBAR 1 -->


    <!-- MAIN CONTENT -->
    <div id="t3-content" class="t3-content <?php echo $this->getClass($layout, $col) ?>" <?php echo $this->getData ($layout, $col++) ?>>

      <?php  if ($this->countModules("banner")){ ?>
        <section id="banner">
          <jdoc:include type="modules" name="banner" style="raw" />
        </section>
      <?php }?>

      <section id="breadcrumb">
        <jdoc:include type="modules" name="breadcrumbs" style="raw" />
      </section>
      <jdoc:include type="message" />
      <jdoc:include type="component" />

      <?php  if ($this->countModules("footer")){ ?>
      <footer>
        <jdoc:include type="modules" name="footer" style="T3Xhtml" />
      </footer>
      <?php }?>


      <jdoc:include type="modules" name="debug" style="none" />

    </div>
    <!-- //MAIN CONTENT -->

    
    <?php if ($this->countModules($sidebar2)) : ?>
    <!-- SIDEBAR 2 -->
    <div class="t3-sidebar t3-sidebar-2 <?php echo $this->getClass($layout, $col) ?><?php $this->_c($sidebar2)?>" <?php echo $this->getData ($layout, $col++) ?>>
      <jdoc:include type="modules" name="<?php $this->_p($sidebar2) ?>" style="T3Xhtml" />
    </div>
    <!-- //SIDEBAR 2 -->
    <?php endif ?>

  </div>
</div> 

